summaryrefslogtreecommitdiffstats
path: root/graphics/fontforge
diff options
context:
space:
mode:
author Robby Workman2010-05-11 19:44:47 +0200
committer Michiel van Wessem2010-05-11 19:44:47 +0200
commit9f58d9bb5b29354a820ddef422ea121bb1994d25 (patch)
tree2c31f8c9ad3dc14bc3825028eeef94a7d07cb082 /graphics/fontforge
parentb90128523b37a91c3933124f65bf1e5b9e92b343 (diff)
downloadslackbuilds-9f58d9bb5b29354a820ddef422ea121bb1994d25.tar.gz
graphics/fontforge: Updated for version 20080309
Diffstat (limited to 'graphics/fontforge')
-rw-r--r--graphics/fontforge/README11
-rw-r--r--graphics/fontforge/cidmaps.tgzbin0 -> 313755 bytes
-rw-r--r--graphics/fontforge/fontforge.SlackBuild25
-rw-r--r--graphics/fontforge/fontforge.info8
-rw-r--r--graphics/fontforge/slack-desc10
5 files changed, 39 insertions, 15 deletions
diff --git a/graphics/fontforge/README b/graphics/fontforge/README
index 7c1bd002ff..9ad488289b 100644
--- a/graphics/fontforge/README
+++ b/graphics/fontforge/README
@@ -9,3 +9,14 @@ From the README-unix file inside the source:
If you download this file and place it in the directory with the SlackBuild
script, the script will automatically place the cidmaps inside the package.
+You might also want to have an extracted copy of the freetype source code
+available inside the extracted SlackBuild tarball directory - in other words:
+ /somedir/fontforge/
+ README
+ fontforge.SlackBuild
+ fontforge.info
+ slack-desc
+ freetype-2.3.5/
+Fontforge seems to build (and function) just fine without doing this, but
+it does look for the freetype sources while compiling, so it's probably
+best to make them available just in case :)
diff --git a/graphics/fontforge/cidmaps.tgz b/graphics/fontforge/cidmaps.tgz
new file mode 100644
index 0000000000..293b2d7836
--- /dev/null
+++ b/graphics/fontforge/cidmaps.tgz
Binary files differ
diff --git a/graphics/fontforge/fontforge.SlackBuild b/graphics/fontforge/fontforge.SlackBuild
index b444ee779e..823172ca7d 100644
--- a/graphics/fontforge/fontforge.SlackBuild
+++ b/graphics/fontforge/fontforge.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for fontforge
-# Copyright 2006-2007 Robby Workman (http://rlworkman.net)
+# Copyright 2006-2008 Robby Workman Northport, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,10 +26,11 @@
# file right without too much manual intervention :-)
PRGNAM=fontforge
-VERSION=20061220
+VERSION=20080309
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -41,12 +42,14 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xjvf $CWD/${PRGNAM}_full-${VERSION}.tar.bz2 || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/${PRGNAM}_full-${VERSION}.tar.bz2
+cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -55,20 +58,22 @@ CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--with-x \
+ --with-freetype-src=$CWD/freetype-2.3.5 \
--with-multilayer \
--with-devicetables \
--disable-debug \
--enable-static=no \
--enable-shared=yes \
- || exit 1
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
-make || exit 1
-make prefix=$PKG/usr libdir=$PKG/usr/lib install || exit 1
+make
+make prefix=$PKG/usr libdir=$PKG/usr/lib install
# Let's add the cidmaps if the user downloaded them
if [ -e $CWD/cidmaps.tgz ]; then
mkdir -p $PKG/usr/share/fontforge
- tar -C $PKG/usr/share/fontforge -vxzf $CWD/cidmaps.tgz || exit 1
+ tar xvf $CWD/cidmaps.tgz -C $PKG/usr/share/fontforge || exit 1
chmod 0644 $PKG/usr/share/fontforge/*.cidmap
chown root:root $PKG/usr/share/fontforge/*.cidmap
fi
@@ -80,7 +85,7 @@ fi
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+ for i in $( find . -type l ); do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/graphics/fontforge/fontforge.info b/graphics/fontforge/fontforge.info
index b6f84c1caa..41896059c4 100644
--- a/graphics/fontforge/fontforge.info
+++ b/graphics/fontforge/fontforge.info
@@ -1,8 +1,8 @@
PRGNAM="fontforge"
-VERSION="20061220"
+VERSION="20080309"
HOMEPAGE="http://fontforge.sourceforge.net/"
-DOWNLOAD="http://dl.sourceforge.net/fontforge/fontforge_full-20061220.tar.bz2"
-MD5SUM="0f2354b885676fc8092a74aa9b9cb662"
+DOWNLOAD="http://downloads.sourceforge.net/fontforge/fontforge_full-20080309.tar.bz2"
+MD5SUM="96916b6a6f926551f1a775fa5d456738"
MAINTAINER="Robby Workman"
EMAIL="rw@rlworkman.net"
-APPROVED="BP{k}"
+APPROVED="Michiel"
diff --git a/graphics/fontforge/slack-desc b/graphics/fontforge/slack-desc
index cea00324c2..f7c833bbd1 100644
--- a/graphics/fontforge/slack-desc
+++ b/graphics/fontforge/slack-desc
@@ -1,4 +1,12 @@
-fontforge: FontForge - an outline font editor
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+fontforge: FontForge (an outline font editor)
fontforge:
fontforge: FontForge is an outline font editor that lets you create your own
fontforge: postscript, truetype, opentype, cid-keyed, multi-master, cff, svg